CREATE TABLE jg_zz_vat_registers_b (
    VAT_REGISTER_ID            NUMBER(18, 0),
    VAT_REPORTING_ENTITY_ID    NUMBER(18, 0)    NOT NULL,
    REGISTER_TYPE              VARCHAR2(120),
    EFFECTIVE_FROM_DATE        DATE         ,
    EFFECTIVE_TO_DATE          DATE         ,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    VAT_REGISTER_ID            NUMBER(18, 0),
    VAT_REPORTING_ENTITY_ID    NUMBER(18, 0)    NOT NULL,
    REGISTER_TYPE              VARCHAR2(120),
    EFFECTIVE_FROM_DATE        DATE         ,
    EFFECTIVE_TO_DATE          DATE         ,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_jg_zz_vat_registers_b PRIMARY KEY (VAT_REGISTER_ID, VAT_REGISTER_ID)
);
